{
  "name": "@aicacia/router",
  "version": "0.1.11",
  "description": "promise based router",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/aicacia/libs/ts-router.git"
  },
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "scripts": {
    "build": "tsc",
    "doc": "typedoc",
    "prepublishOnly": "npm run clean && npm run build",
    "test": "ts-node node_modules/.bin/tape src/**/*.test.{ts,tsx} | tap-spec",
    "coverage": "nyc --reporter=lcov --check-coverage --lines=75 --require ts-node/register tape src/**/*.test.{ts,tsx} | tap-spec; nyc report ---reporter=text",
    "clean": "rm -rf ./lib",
    "lint": "eslint . --fix",
    "simple": "parcel examples/simple/index.html"
  },
  "keywords": [
    "router"
  ],
  "author": "Nathan Faucett",
  "license": "(MIT OR Apache-2.0)",
  "readmeFilename": "README.md",
  "devDependencies": {
    "@aicacia/location": "^0.2.3",
    "@types/normalize-url": "^4.2.0",
    "@types/tape": "^4.13.0",
    "@typescript-eslint/eslint-plugin": "^4.0.2",
    "@typescript-eslint/parser": "^4.0.2",
    "eslint": "^7.9.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-react": "^7.20.6",
    "nyc": "^15.1.0",
    "parcel-bundler": "^1.12.4",
    "prettier": "^2.1.2",
    "tap-nyc": "^1.0.3",
    "tap-spec": "^5.0.0",
    "tape": "^5.0.1",
    "ts-node": "^9.0.0",
    "tslib": "^2.0.1",
    "typedoc": "^0.19.1",
    "typescript": "^4.0.2"
  },
  "dependencies": {
    "@aicacia/core": "^0.1.7",
    "normalize-url": "^5.1.0"
  },
  "nyc": {
    "include": [
      "src"
    ],
    "exclude": [
      "src/**/*.test.*"
    ],
    "extension": [
      ".ts",
      ".tsx"
    ]
  }
}
